igeo

## Class IVectorObject

- java.lang.Object
- - igeo.IObject
  - - igeo.IVectorObject

- All Implemented Interfaces:
    IArithmeticVal<IVecI,IDoubleI>, IParameter, ITransformable, IVal, IVecI, IVecOp

      public class IVectorObject
      extends IObject
      implements IVecI

  Class only to visualize IVecI.
  Author:
    Satoru Sugihara

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `IVecI` | `root`
    `IVecI` | `vec`

    - ### Fields inherited from class igeo.IObject

      `attribute, dynamics, graphics, parameter, server, userData`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IVectorObject(IServerI s, IVecI vec)`
    `IVectorObject(IServerI s, IVecI vec, IVecI root)`
    `IVectorObject(IServerI s, IVectorObject vobj)`
    `IVectorObject(IVecI vec)`
    `IVectorObject(IVecI vec, IVecI root)`
    `IVectorObject(IVectorObject vobj)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `IVectorObject` | `add(double x, double y, double z)`
    `IVectorObject` | `add(double f, IVecI v)` scale add
    `IVectorObject` | `add(IDoubleI x, IDoubleI y, IDoubleI z)`
    `IVectorObject` | `add(IDoubleI f, IVecI v)` scale add
    `IVectorObject` | `add(IVecI v)`
    `IVectorObject` | `add(IVecI v, double f)` scale add
    `IVectorObject` | `add(IVecI v, IDoubleI f)` scale add
    `double` | `angle(double vx, double vy, double vz)` get angle between two vector from 0 to Pi
    `double` | `angle(double vx, double vy, double vz, double axisX, double axisY, double axisZ)`
    `double` | `angle(ISwitchE e, IVecI v)` get angle between two vector from 0 to Pi
    `double` | `angle(ISwitchE e, IVecI v, IVecI axis)`
    `IDoubleI` | `angle(ISwitchR r, IVecI v)` get angle between two vector from 0 to Pi
    `IDoubleI` | `angle(ISwitchR r, IVecI v, IVecI axis)`
    `double` | `angle(IVecI v)` get angle between two vector from 0 to Pi
    `double` | `angle(IVecI v, IVecI axis)`
    `IVecI` | `bisect(double vx, double vy, double vz)` create a new instance of bisector
    `IVecI` | `bisect(IVecI v)` create a new instance of bisector
    `IVectorObject` | `clr(java.awt.Color c)`
    `IVectorObject` | `clr(java.awt.Color c, double alpha)`
    `IVectorObject` | `clr(java.awt.Color c, float alpha)`
    `IVectorObject` | `clr(java.awt.Color c, int alpha)`
    `IVectorObject` | `clr(double dgray)`
    `IVectorObject` | `clr(double dgray, double dalpha)`
    `IVectorObject` | `clr(double dr, double dg, double db)`
    `IVectorObject` | `clr(double dr, double dg, double db, double da)`
    `IVectorObject` | `clr(float fgray)`
    `IVectorObject` | `clr(float fgray, float falpha)`
    `IVectorObject` | `clr(float fr, float fg, float fb)`
    `IVectorObject` | `clr(float fr, float fg, float fb, float fa)`
    `IVectorObject` | `clr(IColor c)` to set an object color
    `IVectorObject` | `clr(IColor c, double alpha)` to set color, with alpha value overwritten
    `IVectorObject` | `clr(IColor c, float alpha)` to set color, with alpha value overwritten
    `IVectorObject` | `clr(IColor c, int alpha)` to set color, with alpha value overwritten
    `IVectorObject` | `clr(int gray)`
    `IVectorObject` | `clr(int gray, int alpha)`
    `IVectorObject` | `clr(int r, int g, int b)`
    `IVectorObject` | `clr(int r, int g, int b, int a)`
    `IVectorObject` | `clr(IObject o)` to set the same color with the object
    `IVectorObject` | `cp()` cp() is alias of dup()
    `IVectorObject` | `cp(double x, double y, double z)` cp() is alias of dup().add()
    `IVectorObject` | `cp(IDoubleI x, IDoubleI y, IDoubleI z)` cp() is alias of dup().add()
    `IVectorObject` | `cp(IVecI v)` cp() is alias of dup().add()
    `IGraphicObject` | `createGraphic(IGraphicMode m)`
    `IVecI` | `cross(double vx, double vy, double vz)` cross product, creating a new instance
    `IVecI` | `cross(IVecI v)` cross product, creating a new instance
    `IVecI` | `dif(double vx, double vy, double vz)` create a new instance of difference
    `IVecI` | `dif(IVecI v)` create a new instance of difference
    `IVecI` | `diff(double vx, double vy, double vz)` alias of dif
    `IVecI` | `diff(IVecI v)` alias of dif
    `double` | `dist(double vx, double vy, double vz)` distance of two vectors
    `double` | `dist(ISwitchE e, IVecI v)` distance of two vectors
    `IDoubleI` | `dist(ISwitchR r, IVecI v)` distance of two vectors
    `double` | `dist(IVecI v)` distance of two vectors
    `double` | `dist2(double vx, double vy, double vz)` squared distance of two vectors
    `double` | `dist2(ISwitchE e, IVecI v)` squared distance of two vectors
    `IDoubleI` | `dist2(ISwitchR r, IVecI v)` squared distance of two vectors
    `double` | `dist2(IVecI v)` squared distance of two vectors
    `IVectorObject` | `div(double v)`
    `IVectorObject` | `div(IDoubleI v)`
    `double` | `dot(double vx, double vy, double vz)` dot product
    `double` | `dot(ISwitchE e, IVecI v)` dot product
    `IDoubleI` | `dot(ISwitchR r, IVecI v)` dot product
    `double` | `dot(IVecI v)` dot product
    `IVectorObject` | `dup()` duplicate object
    `boolean` | `eq(double vx, double vy, double vz)` check whether location is same or not
    `boolean` | `eq(double vx, double vy, double vz, double tolerance)` check whether location is same or not with tolerance
    `boolean` | `eq(ISwitchE e, IVecI v)` check whether location is same or not
    `boolean` | `eq(ISwitchE e, IVecI v, double tolerance)` check whether location is same or not with tolerance
    `IBoolI` | `eq(ISwitchR r, IVecI v)` check whether location is same or not
    `IBoolI` | `eq(ISwitchR r, IVecI v, IDoubleI tolerance)` check whether location is same or not with tolerance
    `boolean` | `eq(IVecI v)` check whether location is same or not
    `boolean` | `eq(IVecI v, double tolerance)` check whether location is same or not with tolerance
    `boolean` | `eqX(double vx)` check if same in X
    `boolean` | `eqX(double vx, double tolerance)` check if same in X with tolerance
    `boolean` | `eqX(ISwitchE e, IVecI v)` check if same in X
    `boolean` | `eqX(ISwitchE e, IVecI v, double tolerance)` check if same in X with tolerance
    `IBoolI` | `eqX(ISwitchR r, IVecI v)` check if same in X
    `IBoolI` | `eqX(ISwitchR r, IVecI v, IDoubleI tolerance)` check if same in X with tolerance
    `boolean` | `eqX(IVecI v)` check if same in X
    `boolean` | `eqX(IVecI v, double tolerance)` check if same in X with tolerance
    `boolean` | `eqY(double vy)` check if same in Y
    `boolean` | `eqY(double vy, double tolerance)` check if same in Y with tolerance
    `boolean` | `eqY(ISwitchE e, IVecI v)` check if same in Y
    `boolean` | `eqY(ISwitchE e, IVecI v, double tolerance)` check if same in Y with tolerance
    `IBoolI` | `eqY(ISwitchR r, IVecI v)` check if same in Y
    `IBoolI` | `eqY(ISwitchR r, IVecI v, IDoubleI tolerance)` check if same in Y with tolerance
    `boolean` | `eqY(IVecI v)` check if same in Y
    `boolean` | `eqY(IVecI v, double tolerance)` check if same in Y with tolerance
    `boolean` | `eqZ(double vz)` check if same in Z
    `boolean` | `eqZ(double vz, double tolerance)` check if same in Z with tolerance
    `boolean` | `eqZ(ISwitchE e, IVecI v)` check if same in Z
    `boolean` | `eqZ(ISwitchE e, IVecI v, double tolerance)` check if same in Z with tolerance
    `IBoolI` | `eqZ(ISwitchR r, IVecI v)` check if same in Z
    `IBoolI` | `eqZ(ISwitchR r, IVecI v, IDoubleI tolerance)` check if same in Z with tolerance
    `boolean` | `eqZ(IVecI v)` check if same in Z
    `boolean` | `eqZ(IVecI v, double tolerance)` check if same in Z with tolerance
    `IVectorObject` | `flip()` alias of neg()
    `IVec` | `get()`
    `double` | `getSize()`
    `IDoubleI` | `getX()`
    `IDoubleI` | `getY()`
    `IDoubleI` | `getZ()`
    `IVectorObject` | `hide()`
    `IVectorObject` | `hsb(double h, double s, double b)`
    `IVectorObject` | `hsb(double h, double s, double b, double a)`
    `IVectorObject` | `hsb(float h, float s, float b)`
    `IVectorObject` | `hsb(float h, float s, float b, float a)`
    `protected void` | `initVector(IServerI s)`
    `boolean` | `isValid()` checking parameters validity.
    `IVectorObject` | `layer(ILayer l)` Set layer by ILayer object
    `double` | `len()` getting length of the vector
    `IVectorObject` | `len(double l)` setting length
    `IVectorObject` | `len(IDoubleI l)` setting length
    `double` | `len(ISwitchE e)` getting length of the vector
    `IDoubleI` | `len(ISwitchR r)` getting length of the vector
    `double` | `len2()` getting squared length of the vector
    `double` | `len2(ISwitchE e)` getting squared length of the vector
    `IDoubleI` | `len2(ISwitchR r)` getting squared length of the vector
    `IVecI` | `mid(double vx, double vy, double vz)` create a new instance of midpoint
    `IVecI` | `mid(IVecI v)` create a new instance of midpoint
    `IVectorObject` | `mirror(double planeX, double planeY, double planeZ)` alias of ref
    `IVectorObject` | `mirror(double centerX, double centerY, double centerZ, double planeX, double planeY, double planeZ)` alias of ref
    `IVectorObject` | `mirror(IVecI planeDir)` reflect (mirror) 3 dimensionally to the other side of the plane
    `IVectorObject` | `mirror(IVecI center, IVecI planeDir)` alias of ref
    `IVectorObject` | `mul(double v)`
    `IVectorObject` | `mul(IDoubleI v)`
    `IVectorObject` | `mv(double x, double y, double z)` mv() is alias of add()
    `IVectorObject` | `mv(IDoubleI x, IDoubleI y, IDoubleI z)` mv() is alias of add()
    `IVectorObject` | `mv(IVecI v)` mv() is alias of add()
    `IVectorObject` | `name(java.lang.String nm)`
    `IVectorObject` | `neg()`
    `IVecI` | `nml(double vx, double vy, double vz)` alias of cross
    `IVecI` | `nml(double vx1, double vy1, double vz1, double vx2, double vy2, double vz2)` create normal vector from 3 points of self, pt1 and pt2
    `IVecI` | `nml(IVecI v)` alias of cross.
    `IVecI` | `nml(IVecI pt1, IVecI pt2)` create normal vector from 3 points of self, pt1 and pt2
    `IVecI` | `pos()` passing position field (vec)
    `IVectorObject` | `ref(double planeX, double planeY, double planeZ)` reflect(mirror) 3 dimensionally to the other side of the plane
    `IVectorObject` | `ref(double centerX, double centerY, double centerZ, double planeX, double planeY, double planeZ)` reflect(mirror) 3 dimensionally to the other side of the plane
    `IVectorObject` | `ref(IVecI planeDir)` reflect (mirror) 3 dimensionally to the other side of the plane
    `IVectorObject` | `ref(IVecI center, IVecI planeDir)` reflect(mirror) 3 dimensionally to the other side of the plane
    `IVectorObject` | `rev()` alias of neg()
    `IVecI` | `root()`
    `IVectorObject` | `root(IVecI v)`
    `IVectorObject` | `rot(double angle)` rotation on XY plane
    `IVectorObject` | `rot(double axisX, double axisY, double axisZ, double angle)` rotation around axis vector
    `IVectorObject` | `rot(double centerX, double centerY, double centerZ, double axisX, double axisY, double axisZ, double angle)` rotation around axis vector and center point
    `IVectorObject` | `rot(IDoubleI angle)` rotation on XY plane
    `IVectorObject` | `rot(IVecI axis, double angle)` rotation around axis vector
    `IVectorObject` | `rot(IVecI axis, IDoubleI angle)` rotation around axis vector
    `IVectorObject` | `rot(IVecI axis, IVecI destDir)` rotate to destination direction vector
    `IVectorObject` | `rot(IVecI center, IVecI axis, double angle)` rotation around axis vector and center point
    `IVectorObject` | `rot(IVecI center, IVecI axis, IDoubleI angle)` rotation around axis vector and center point
    `IVectorObject` | `rot(IVecI center, IVecI axis, IVecI destPt)` rotate to destination point location
    `IVectorObject` | `rot2(double angle)` rotation on xy-plane; alias of rot(double)
    `IVectorObject` | `rot2(double centerX, double centerY, double angle)` rotation on xy-plane
    `IVectorObject` | `rot2(IDoubleI angle)` rotation on xy-plane; alias of rot(IDoubleI)
    `IVectorObject` | `rot2(IVecI destDir)` rotate to destination direction vector
    `IVectorObject` | `rot2(IVecI center, double angle)` rotation on xy-plane
    `IVectorObject` | `rot2(IVecI center, IDoubleI angle)` rotation on xy-plane
    `IVectorObject` | `rot2(IVecI center, IVecI destPt)` rotate to destination point location
    `IVectorObject` | `scale(double f)` alias of mul
    `IVectorObject` | `scale(double centerX, double centerY, double centerZ, double f)` scale from a center
    `IVectorObject` | `scale(IDoubleI f)` alias of mul
    `IVectorObject` | `scale(IVecI center, double f)` scale from a center
    `IVectorObject` | `scale(IVecI center, IDoubleI f)` scale from a center
    `IVectorObject` | `scale1d(double axisX, double axisY, double axisZ, double f)` scale only in 1 direction
    `IVectorObject` | `scale1d(double centerX, double centerY, double centerZ, double axisX, double axisY, double axisZ, double f)` scale only in 1 direction from a center
    `IVectorObject` | `scale1d(IVecI axis, double f)` scale only in 1 direction
    `IVectorObject` | `scale1d(IVecI axis, IDoubleI f)` scale only in 1 direction
    `IVectorObject` | `scale1d(IVecI center, IVecI axis, double f)` scale only in 1 direction from a center
    `IVectorObject` | `scale1d(IVecI center, IVecI axis, IDoubleI f)` scale only in 1 direction from a center
    `IVectorObject` | `set(double x, double y, double z)`
    `IVectorObject` | `set(IDoubleI x, IDoubleI y, IDoubleI z)`
    `IVectorObject` | `set(IVecI v)`
    `IVectorObject` | `setColor(java.awt.Color c)`
    `IVectorObject` | `setColor(java.awt.Color c, double alpha)`
    `IVectorObject` | `setColor(java.awt.Color c, float alpha)`
    `IVectorObject` | `setColor(java.awt.Color c, int alpha)`
    `IVectorObject` | `setColor(double dgray)`
    `IVectorObject` | `setColor(double dgray, double dalpha)`
    `IVectorObject` | `setColor(double dr, double dg, double db)`
    `IVectorObject` | `setColor(double dr, double dg, double db, double da)`
    `IVectorObject` | `setColor(float fgray)`
    `IVectorObject` | `setColor(float fgray, float falpha)`
    `IVectorObject` | `setColor(float fr, float fg, float fb)`
    `IVectorObject` | `setColor(float fr, float fg, float fb, float fa)`
    `IVectorObject` | `setColor(IColor c)`
    `IVectorObject` | `setColor(IColor c, double alpha)`
    `IVectorObject` | `setColor(IColor c, float alpha)`
    `IVectorObject` | `setColor(IColor c, int alpha)`
    `IVectorObject` | `setColor(int gray)`
    `IVectorObject` | `setColor(int gray, int alpha)`
    `IVectorObject` | `setColor(int r, int g, int b)`
    `IVectorObject` | `setColor(int r, int g, int b, int a)`
    `IVectorObject` | `setHSBColor(double h, double s, double b)`
    `IVectorObject` | `setHSBColor(double h, double s, double b, double a)`
    `IVectorObject` | `setHSBColor(float h, float s, float b)`
    `IVectorObject` | `setHSBColor(float h, float s, float b, float a)`
    `IVectorObject` | `setSize(double sz)` set size of dot in graphic
    `IVectorObject` | `shear(double sxy, double syx, double syz, double szy, double szx, double sxz)` shear operation
    `IVectorObject` | `shear(IDoubleI sxy, IDoubleI syx, IDoubleI syz, IDoubleI szy, IDoubleI szx, IDoubleI sxz)` shear operation
    `IVectorObject` | `shear(IVecI center, double sxy, double syx, double syz, double szy, double szx, double sxz)` shear operation
    `IVectorObject` | `shear(IVecI center, IDoubleI sxy, IDoubleI syx, IDoubleI syz, IDoubleI szy, IDoubleI szx, IDoubleI sxz)` shear operation
    `IVectorObject` | `shearXY(double sxy, double syx)` shear operation on XY
    `IVectorObject` | `shearXY(IDoubleI sxy, IDoubleI syx)` shear operation on XY
    `IVectorObject` | `shearXY(IVecI center, double sxy, double syx)` shear operation on XY
    `IVectorObject` | `shearXY(IVecI center, IDoubleI sxy, IDoubleI syx)` shear operation on XY
    `IVectorObject` | `shearYZ(double syz, double szy)` shear operation on YZ
    `IVectorObject` | `shearYZ(IDoubleI syz, IDoubleI szy)` shear operation on YZ
    `IVectorObject` | `shearYZ(IVecI center, double syz, double szy)` shear operation on YZ
    `IVectorObject` | `shearYZ(IVecI center, IDoubleI syz, IDoubleI szy)` shear operation on YZ
    `IVectorObject` | `shearZX(double szx, double sxz)` shear operation on ZX
    `IVectorObject` | `shearZX(IDoubleI szx, IDoubleI sxz)` shear operation on ZX
    `IVectorObject` | `shearZX(IVecI center, double szx, double sxz)` shear operation on ZX
    `IVectorObject` | `shearZX(IVecI center, IDoubleI szx, IDoubleI sxz)` shear operation on ZX
    `IVectorObject` | `show()`
    `double` | `size()`
    `IVectorObject` | `size(double sz)`
    `IVectorObject` | `sub(double x, double y, double z)`
    `IVectorObject` | `sub(IDoubleI x, IDoubleI y, IDoubleI z)`
    `IVectorObject` | `sub(IVecI v)`
    `IVecI` | `sum(double vx, double vy, double vz)` create a new instance of total summation
    `IVecI` | `sum(IVecI... v)` create a new instance of total summation
    `IVecI` | `sum(IVecI v)` create a new instance of total summation
    `IVecI` | `sum(IVecI v2, double w2)` create a new instance of weighted sum
    `IVecI` | `sum(IVecI v2, double w1, double w2)` weighted sum
    `IVecI` | `sum(IVecI v2, IDoubleI w2)` create a new instance of weighted sum
    `IVecI` | `sum(IVecI v2, IDoubleI w1, IDoubleI w2)` create a new instance of weighted sum
    `IVec2I` | `to2d()`
    `IVec2I` | `to2d(IVecI projectionDir)`
    `IVec2I` | `to2d(IVecI xaxis, IVecI yaxis)`
    `IVec2I` | `to2d(IVecI xaxis, IVecI yaxis, IVecI origin)`
    `IVec4I` | `to4d()`
    `IVec4I` | `to4d(double w)`
    `IVec4I` | `to4d(IDoubleI w)`
    `java.lang.String` | `toString()`
    `IVectorObject` | `transform(IMatrix3I mat)` transform with a transformation matrix
    `IVectorObject` | `transform(IMatrix4I mat)` transform with a transformation matrix
    `IVectorObject` | `transform(IVecI xvec, IVecI yvec, IVecI zvec)` transform with a transformation vectors
    `IVectorObject` | `transform(IVecI xvec, IVecI yvec, IVecI zvec, IVecI translate)` transform with a transformation vectors
    `IVectorObject` | `translate(double x, double y, double z)` translate is alias of add()
    `IVectorObject` | `translate(IDoubleI x, IDoubleI y, IDoubleI z)` alias of add()
    `IVectorObject` | `translate(IVecI v)` alias of add()
    `IVectorObject` | `unit()` unitize
    `IVecI` | `vector()`
    `IVectorObject` | `vector(IVecI v)`
    `IVectorObject` | `weight(double w)`
    `IVectorObject` | `weight(float w)`
    `double` | `x()` getting x component
    `IVectorObject` | `x(double vx)` setting x component
    `IVectorObject` | `x(IDoubleI vx)` setting x component
    `double` | `x(ISwitchE e)` getting x component
    `IDoubleI` | `x(ISwitchR r)` getting x component
    `IVectorObject` | `x(IVec2I vx)` setting x component by x component of input vector
    `IVectorObject` | `x(IVecI vx)` setting x component by x component of input vector
    `double` | `y()` getting y component
    `IVectorObject` | `y(double vy)` setting y component
    `IVectorObject` | `y(IDoubleI vy)` setting y component
    `double` | `y(ISwitchE e)` getting y component
    `IDoubleI` | `y(ISwitchR r)` getting y component
    `IVectorObject` | `y(IVec2I vy)` setting y component by y component of input vector
    `IVectorObject` | `y(IVecI vy)` setting y component by y component of input vector
    `double` | `z()` getting z component
    `IVectorObject` | `z(double vz)` setting z component
    `IVectorObject` | `z(IDoubleI vz)` setting z component
    `double` | `z(ISwitchE e)` getting z component
    `IDoubleI` | `z(ISwitchR r)` getting z component
    `IVectorObject` | `z(IVecI vz)` setting z component by z component of input vector
    `IVectorObject` | `zero()` setting all zero

    - ### Methods inherited from class igeo.IObject

      `addDynamics, addUserData, addUserData, alpha, alphaInt, attr, attr, attr, awtColor, blue, blueInt, brightness, castStringHashMap, clearDynamics, clearGraphics, clr, defaultAttribute, del, deletDynamics, deleteDynamics, deleteDynamics, deleteGraphic, dynamicsNum, getAWTColor, getColor, getDynamics, getGraphic, getGraphic, getParameter, graphicsNum, gray, grayInt, green, greenInt, grey, greyInt, hue, initGraphic, initObject, isVisible, layer, layer, name, red, redInt, resetGraphic, saturation, server, setParameter, setTexture, syncColor, syncGraphic, syncVisibility, syncWeight, texture, updateGraphic, userData, userData, userData, userDataNum, visible, weight`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### vec

          public IVecI vec

    - #### root

          public IVecI root

  - ### Constructor Detail

    - #### IVectorObject

          public IVectorObject(IServerI s,
                               IVecI vec)

    - #### IVectorObject

          public IVectorObject(IVecI vec)

    - #### IVectorObject

          public IVectorObject(IServerI s,
                               IVecI vec,
                               IVecI root)

    - #### IVectorObject

          public IVectorObject(IVecI vec,
                               IVecI root)

    - #### IVectorObject

          public IVectorObject(IServerI s,
                               IVectorObject vobj)

    - #### IVectorObject

          public IVectorObject(IVectorObject vobj)

  - ### Method Detail

    - #### vector

          public IVecI vector()

    - #### vector

          public IVectorObject vector(IVecI v)

    - #### root

          public IVecI root()

    - #### root

          public IVectorObject root(IVecI v)

    - #### initVector

          protected void initVector(IServerI s)

    - #### createGraphic

          public IGraphicObject createGraphic(IGraphicMode m)

      Overrides:
        `createGraphic` in class `IObject`

    - #### x

          public double x()

      Description copied from interface: `IVecI`
      getting x component
      Specified by:
        `x` in interface `IVecI`

    - #### y

          public double y()

      Description copied from interface: `IVecI`
      getting y component
      Specified by:
        `y` in interface `IVecI`

    - #### z

          public double z()

      Description copied from interface: `IVecI`
      getting z component
      Specified by:
        `z` in interface `IVecI`

    - #### x

          public IVectorObject x(double vx)

      Description copied from interface: `IVecI`
      setting x component
      Specified by:
        `x` in interface `IVecI`

    - #### y

          public IVectorObject y(double vy)

      Description copied from interface: `IVecI`
      setting y component
      Specified by:
        `y` in interface `IVecI`

    - #### z

          public IVectorObject z(double vz)

      Description copied from interface: `IVecI`
      setting z component
      Specified by:
        `z` in interface `IVecI`

    - #### x

          public IVectorObject x(IDoubleI vx)

      Description copied from interface: `IVecI`
      setting x component
      Specified by:
        `x` in interface `IVecI`

    - #### y

          public IVectorObject y(IDoubleI vy)

      Description copied from interface: `IVecI`
      setting y component
      Specified by:
        `y` in interface `IVecI`

    - #### z

          public IVectorObject z(IDoubleI vz)

      Description copied from interface: `IVecI`
      setting z component
      Specified by:
        `z` in interface `IVecI`

    - #### x

          public IVectorObject x(IVecI vx)

      Description copied from interface: `IVecI`
      setting x component by x component of input vector
      Specified by:
        `x` in interface `IVecI`

    - #### y

          public IVectorObject y(IVecI vy)

      Description copied from interface: `IVecI`
      setting y component by y component of input vector
      Specified by:
        `y` in interface `IVecI`

    - #### z

          public IVectorObject z(IVecI vz)

      Description copied from interface: `IVecI`
      setting z component by z component of input vector
      Specified by:
        `z` in interface `IVecI`

    - #### x

          public IVectorObject x(IVec2I vx)

      Description copied from interface: `IVecI`
      setting x component by x component of input vector
      Specified by:
        `x` in interface `IVecI`

    - #### y

          public IVectorObject y(IVec2I vy)

      Description copied from interface: `IVecI`
      setting y component by y component of input vector
      Specified by:
        `y` in interface `IVecI`

    - #### x

          public double x(ISwitchE e)

      Description copied from interface: `IVecI`
      getting x component
      Specified by:
        `x` in interface `IVecI`

    - #### y

          public double y(ISwitchE e)

      Description copied from interface: `IVecI`
      getting y component
      Specified by:
        `y` in interface `IVecI`

    - #### z

          public double z(ISwitchE e)

      Description copied from interface: `IVecI`
      getting z component
      Specified by:
        `z` in interface `IVecI`

    - #### x

          public IDoubleI x(ISwitchR r)

      Description copied from interface: `IVecI`
      getting x component
      Specified by:
        `x` in interface `IVecI`

    - #### y

          public IDoubleI y(ISwitchR r)

      Description copied from interface: `IVecI`
      getting y component
      Specified by:
        `y` in interface `IVecI`

    - #### z

          public IDoubleI z(ISwitchR r)

      Description copied from interface: `IVecI`
      getting z component
      Specified by:
        `z` in interface `IVecI`

    - #### get

          public IVec get()

      Specified by:
        `get` in interface `IParameter`
      Specified by:
        `get` in interface `IVecI`
      Specified by:
        `get` in interface `IVecOp`

    - #### pos

          public IVecI pos()

      passing position field (vec)

    - #### dup

          public IVectorObject dup()

      Description copied from class: `IObject`
      duplicate object
      Specified by:
        `dup` in interface `IArithmeticVal<IVecI,IDoubleI>`
      Specified by:
        `dup` in interface `ITransformable`
      Specified by:
        `dup` in interface `IVecI`
      Overrides:
        `dup` in class `IObject`

    - #### to2d

          public IVec2I to2d()

      Specified by:
        `to2d` in interface `IVecI`

    - #### to2d

          public IVec2I to2d(IVecI projectionDir)

      Specified by:
        `to2d` in interface `IVecI`

    - #### to2d

          public IVec2I to2d(IVecI xaxis,
                             IVecI yaxis)

      Specified by:
        `to2d` in interface `IVecI`

    - #### to2d

          public IVec2I to2d(IVecI xaxis,
                             IVecI yaxis,
                             IVecI origin)

      Specified by:
        `to2d` in interface `IVecI`

    - #### to4d

          public IVec4I to4d()

      Specified by:
        `to4d` in interface `IVecI`

    - #### to4d

          public IVec4I to4d(double w)

      Specified by:
        `to4d` in interface `IVecI`

    - #### to4d

          public IVec4I to4d(IDoubleI w)

      Specified by:
        `to4d` in interface `IVecI`

    - #### getX

          public IDoubleI getX()

      Specified by:
        `getX` in interface `IVecI`

    - #### getY

          public IDoubleI getY()

      Specified by:
        `getY` in interface `IVecI`

    - #### getZ

          public IDoubleI getZ()

      Specified by:
        `getZ` in interface `IVecI`

    - #### set

          public IVectorObject set(IVecI v)

      Specified by:
        `set` in interface `IArithmeticVal<IVecI,IDoubleI>`
      Specified by:
        `set` in interface `IVecI`

    - #### set

          public IVectorObject set(double x,
                                   double y,
                                   double z)

      Specified by:
        `set` in interface `IVecI`

    - #### set

          public IVectorObject set(IDoubleI x,
                                   IDoubleI y,
                                   IDoubleI z)

      Specified by:
        `set` in interface `IVecI`

    - #### add

          public IVectorObject add(double x,
                                   double y,
                                   double z)

      Specified by:
        `add` in interface `ITransformable`
      Specified by:
        `add` in interface `IVecI`

    - #### add

          public IVectorObject add(IDoubleI x,
                                   IDoubleI y,
                                   IDoubleI z)

      Specified by:
        `add` in interface `ITransformable`
      Specified by:
        `add` in interface `IVecI`

    - #### add

          public IVectorObject add(IVecI v)

      Specified by:
        `add` in interface `IArithmeticVal<IVecI,IDoubleI>`
      Specified by:
        `add` in interface `ITransformable`
      Specified by:
        `add` in interface `IVecI`

    - #### sub

          public IVectorObject sub(double x,
                                   double y,
                                   double z)

      Specified by:
        `sub` in interface `ITransformable`
      Specified by:
        `sub` in interface `IVecI`

    - #### sub

          public IVectorObject sub(IDoubleI x,
                                   IDoubleI y,
                                   IDoubleI z)

      Specified by:
        `sub` in interface `ITransformable`
      Specified by:
        `sub` in interface `IVecI`

    - #### sub

          public IVectorObject sub(IVecI v)

      Specified by:
        `sub` in interface `IArithmeticVal<IVecI,IDoubleI>`
      Specified by:
        `sub` in interface `ITransformable`
      Specified by:
        `sub` in interface `IVecI`

    - #### mul

          public IVectorObject mul(IDoubleI v)

      Specified by:
        `mul` in interface `IArithmeticVal<IVecI,IDoubleI>`
      Specified by:
        `mul` in interface `ITransformable`
      Specified by:
        `mul` in interface `IVecI`

    - #### mul

          public IVectorObject mul(double v)

      Specified by:
        `mul` in interface `ITransformable`
      Specified by:
        `mul` in interface `IVecI`

    - #### div

          public IVectorObject div(IDoubleI v)

      Specified by:
        `div` in interface `IArithmeticVal<IVecI,IDoubleI>`
      Specified by:
        `div` in interface `ITransformable`
      Specified by:
        `div` in interface `IVecI`

    - #### div

          public IVectorObject div(double v)

      Specified by:
        `div` in interface `ITransformable`
      Specified by:
        `div` in interface `IVecI`

    - #### neg

          public IVectorObject neg()

      Specified by:
        `neg` in interface `ITransformable`
      Specified by:
        `neg` in interface `IVecI`

    - #### rev

          public IVectorObject rev()

      Description copied from interface: `IVecI`
      alias of neg()
      Specified by:
        `rev` in interface `IVecI`

    - #### flip

          public IVectorObject flip()

      Description copied from interface: `IVecI`
      alias of neg()
      Specified by:
        `flip` in interface `ITransformable`
      Specified by:
        `flip` in interface `IVecI`

    - #### zero

          public IVectorObject zero()

      Description copied from interface: `IVecI`
      setting all zero
      Specified by:
        `zero` in interface `IArithmeticVal<IVecI,IDoubleI>`
      Specified by:
        `zero` in interface `IVecI`

    - #### add

          public IVectorObject add(IVecI v,
                                   double f)

      Description copied from interface: `IVecI`
      scale add
      Specified by:
        `add` in interface `ITransformable`
      Specified by:
        `add` in interface `IVecI`

    - #### add

          public IVectorObject add(IVecI v,
                                   IDoubleI f)

      Description copied from interface: `IVecI`
      scale add
      Specified by:
        `add` in interface `ITransformable`
      Specified by:
        `add` in interface `IVecI`

    - #### add

          public IVectorObject add(double f,
                                   IVecI v)

      Description copied from interface: `IVecI`
      scale add
      Specified by:
        `add` in interface `ITransformable`
      Specified by:
        `add` in interface `IVecI`

    - #### add

          public IVectorObject add(IDoubleI f,
                                   IVecI v)

      Description copied from interface: `IVecI`
      scale add
      Specified by:
        `add` in interface `ITransformable`
      Specified by:
        `add` in interface `IVecI`

    - #### dot

          public double dot(IVecI v)

      Description copied from interface: `IVecI`
      dot product
      Specified by:
        `dot` in interface `IVecI`

    - #### dot

          public double dot(double vx,
                            double vy,
                            double vz)

      Description copied from interface: `IVecI`
      dot product
      Specified by:
        `dot` in interface `IVecI`

    - #### dot

          public double dot(ISwitchE e,
                            IVecI v)

      Description copied from interface: `IVecI`
      dot product
      Specified by:
        `dot` in interface `IVecI`

    - #### dot

          public IDoubleI dot(ISwitchR r,
                              IVecI v)

      Description copied from interface: `IVecI`
      dot product
      Specified by:
        `dot` in interface `IVecI`

    - #### cross

          public IVecI cross(IVecI v)

      Description copied from interface: `IVecI`
      cross product, creating a new instance
      Specified by:
        `cross` in interface `IVecI`

    - #### cross

          public IVecI cross(double vx,
                             double vy,
                             double vz)

      Description copied from interface: `IVecI`
      cross product, creating a new instance
      Specified by:
        `cross` in interface `IVecI`

    - #### len

          public double len()

      Description copied from interface: `IVecI`
      getting length of the vector
      Specified by:
        `len` in interface `IVecI`

    - #### len

          public double len(ISwitchE e)

      Description copied from interface: `IVecI`
      getting length of the vector
      Specified by:
        `len` in interface `IVecI`

    - #### len

          public IDoubleI len(ISwitchR r)

      Description copied from interface: `IVecI`
      getting length of the vector
      Specified by:
        `len` in interface `IVecI`

    - #### len2

          public double len2()

      Description copied from interface: `IVecI`
      getting squared length of the vector
      Specified by:
        `len2` in interface `IVecI`

    - #### len2

          public double len2(ISwitchE e)

      Description copied from interface: `IVecI`
      getting squared length of the vector
      Specified by:
        `len2` in interface `IVecI`

    - #### len2

          public IDoubleI len2(ISwitchR r)

      Description copied from interface: `IVecI`
      getting squared length of the vector
      Specified by:
        `len2` in interface `IVecI`

    - #### len

          public IVectorObject len(IDoubleI l)

      Description copied from interface: `IVecI`
      setting length
      Specified by:
        `len` in interface `IVecI`

    - #### len

          public IVectorObject len(double l)

      Description copied from interface: `IVecI`
      setting length
      Specified by:
        `len` in interface `IVecI`

    - #### unit

          public IVectorObject unit()

      Description copied from interface: `IVecI`
      unitize
      Specified by:
        `unit` in interface `IVecI`

    - #### dist

          public double dist(IVecI v)

      Description copied from interface: `IVecI`
      distance of two vectors
      Specified by:
        `dist` in interface `IVecI`

    - #### dist

          public double dist(double vx,
                             double vy,
                             double vz)

      Description copied from interface: `IVecI`
      distance of two vectors
      Specified by:
        `dist` in interface `IVecI`

    - #### dist

          public double dist(ISwitchE e,
                             IVecI v)

      Description copied from interface: `IVecI`
      distance of two vectors
      Specified by:
        `dist` in interface `IVecI`

    - #### dist

          public IDoubleI dist(ISwitchR r,
                               IVecI v)

      Description copied from interface: `IVecI`
      distance of two vectors
      Specified by:
        `dist` in interface `IVecI`

    - #### dist2

          public double dist2(IVecI v)

      Description copied from interface: `IVecI`
      squared distance of two vectors
      Specified by:
        `dist2` in interface `IVecI`

    - #### dist2

          public double dist2(double vx,
                              double vy,
                              double vz)

      Description copied from interface: `IVecI`
      squared distance of two vectors
      Specified by:
        `dist2` in interface `IVecI`

    - #### dist2

          public double dist2(ISwitchE e,
                              IVecI v)

      Description copied from interface: `IVecI`
      squared distance of two vectors
      Specified by:
        `dist2` in interface `IVecI`

    - #### dist2

          public IDoubleI dist2(ISwitchR r,
                                IVecI v)

      Description copied from interface: `IVecI`
      squared distance of two vectors
      Specified by:
        `dist2` in interface `IVecI`

    - #### eq

          public boolean eq(IVecI v)

      Description copied from interface: `IVecI`
      check whether location is same or not
      Specified by:
        `eq` in interface `IVecI`

    - #### eq

          public boolean eq(double vx,
                            double vy,
                            double vz)

      Description copied from interface: `IVecI`
      check whether location is same or not
      Specified by:
        `eq` in interface `IVecI`

    - #### eq

          public boolean eq(ISwitchE e,
                            IVecI v)

      Description copied from interface: `IVecI`
      check whether location is same or not
      Specified by:
        `eq` in interface `IVecI`

    - #### eq

          public IBoolI eq(ISwitchR r,
                           IVecI v)

      Description copied from interface: `IVecI`
      check whether location is same or not
      Specified by:
        `eq` in interface `IVecI`

    - #### eq

          public boolean eq(IVecI v,
                            double tolerance)

      Description copied from interface: `IVecI`
      check whether location is same or not with tolerance
      Specified by:
        `eq` in interface `IVecI`

    - #### eq

          public boolean eq(double vx,
                            double vy,
                            double vz,
                            double tolerance)

      Description copied from interface: `IVecI`
      check whether location is same or not with tolerance
      Specified by:
        `eq` in interface `IVecI`

    - #### eq

          public boolean eq(ISwitchE e,
                            IVecI v,
                            double tolerance)

      Description copied from interface: `IVecI`
      check whether location is same or not with tolerance
      Specified by:
        `eq` in interface `IVecI`

    - #### eq

          public IBoolI eq(ISwitchR r,
                           IVecI v,
                           IDoubleI tolerance)

      Description copied from interface: `IVecI`
      check whether location is same or not with tolerance
      Specified by:
        `eq` in interface `IVecI`

    - #### eqX

          public boolean eqX(IVecI v)

      Description copied from interface: `IVecI`
      check if same in X
      Specified by:
        `eqX` in interface `IVecI`

    - #### eqY

          public boolean eqY(IVecI v)

      Description copied from interface: `IVecI`
      check if same in Y
      Specified by:
        `eqY` in interface `IVecI`

    - #### eqZ

          public boolean eqZ(IVecI v)

      Description copied from interface: `IVecI`
      check if same in Z
      Specified by:
        `eqZ` in interface `IVecI`

    - #### eqX

          public boolean eqX(double vx)

      Description copied from interface: `IVecI`
      check if same in X
      Specified by:
        `eqX` in interface `IVecI`

    - #### eqY

          public boolean eqY(double vy)

      Description copied from interface: `IVecI`
      check if same in Y
      Specified by:
        `eqY` in interface `IVecI`

    - #### eqZ

          public boolean eqZ(double vz)

      Description copied from interface: `IVecI`
      check if same in Z
      Specified by:
        `eqZ` in interface `IVecI`

    - #### eqX

          public boolean eqX(ISwitchE e,
                             IVecI v)

      Description copied from interface: `IVecI`
      check if same in X
      Specified by:
        `eqX` in interface `IVecI`

    - #### eqY

          public boolean eqY(ISwitchE e,
                             IVecI v)

      Description copied from interface: `IVecI`
      check if same in Y
      Specified by:
        `eqY` in interface `IVecI`

    - #### eqZ

          public boolean eqZ(ISwitchE e,
                             IVecI v)

      Description copied from interface: `IVecI`
      check if same in Z
      Specified by:
        `eqZ` in interface `IVecI`

    - #### eqX

          public IBoolI eqX(ISwitchR r,
                            IVecI v)

      Description copied from interface: `IVecI`
      check if same in X
      Specified by:
        `eqX` in interface `IVecI`

    - #### eqY

          public IBoolI eqY(ISwitchR r,
                            IVecI v)

      Description copied from interface: `IVecI`
      check if same in Y
      Specified by:
        `eqY` in interface `IVecI`

    - #### eqZ

          public IBoolI eqZ(ISwitchR r,
                            IVecI v)

      Description copied from interface: `IVecI`
      check if same in Z
      Specified by:
        `eqZ` in interface `IVecI`

    - #### eqX

          public boolean eqX(IVecI v,
                             double tolerance)

      Description copied from interface: `IVecI`
      check if same in X with tolerance
      Specified by:
        `eqX` in interface `IVecI`

    - #### eqY

          public boolean eqY(IVecI v,
                             double tolerance)

      Description copied from interface: `IVecI`
      check if same in Y with tolerance
      Specified by:
        `eqY` in interface `IVecI`

    - #### eqZ

          public boolean eqZ(IVecI v,
                             double tolerance)

      Description copied from interface: `IVecI`
      check if same in Z with tolerance
      Specified by:
        `eqZ` in interface `IVecI`

    - #### eqX

          public boolean eqX(double vx,
                             double tolerance)

      Description copied from interface: `IVecI`
      check if same in X with tolerance
      Specified by:
        `eqX` in interface `IVecI`

    - #### eqY

          public boolean eqY(double vy,
                             double tolerance)

      Description copied from interface: `IVecI`
      check if same in Y with tolerance
      Specified by:
        `eqY` in interface `IVecI`

    - #### eqZ

          public boolean eqZ(double vz,
                             double tolerance)

      Description copied from interface: `IVecI`
      check if same in Z with tolerance
      Specified by:
        `eqZ` in interface `IVecI`

    - #### eqX

          public boolean eqX(ISwitchE e,
                             IVecI v,
                             double tolerance)

      Description copied from interface: `IVecI`
      check if same in X with tolerance
      Specified by:
        `eqX` in interface `IVecI`

    - #### eqY

          public boolean eqY(ISwitchE e,
                             IVecI v,
                             double tolerance)

      Description copied from interface: `IVecI`
      check if same in Y with tolerance
      Specified by:
        `eqY` in interface `IVecI`

    - #### eqZ

          public boolean eqZ(ISwitchE e,
                             IVecI v,
                             double tolerance)

      Description copied from interface: `IVecI`
      check if same in Z with tolerance
      Specified by:
        `eqZ` in interface `IVecI`

    - #### eqX

          public IBoolI eqX(ISwitchR r,
                            IVecI v,
                            IDoubleI tolerance)

      Description copied from interface: `IVecI`
      check if same in X with tolerance
      Specified by:
        `eqX` in interface `IVecI`

    - #### eqY

          public IBoolI eqY(ISwitchR r,
                            IVecI v,
                            IDoubleI tolerance)

      Description copied from interface: `IVecI`
      check if same in Y with tolerance
      Specified by:
        `eqY` in interface `IVecI`

    - #### eqZ

          public IBoolI eqZ(ISwitchR r,
                            IVecI v,
                            IDoubleI tolerance)

      Description copied from interface: `IVecI`
      check if same in Z with tolerance
      Specified by:
        `eqZ` in interface `IVecI`

    - #### angle

          public double angle(IVecI v)

      Description copied from interface: `IVecI`
      get angle between two vector from 0 to Pi
      Specified by:
        `angle` in interface `IVecI`

    - #### angle

          public double angle(double vx,
                              double vy,
                              double vz)

      Description copied from interface: `IVecI`
      get angle between two vector from 0 to Pi
      Specified by:
        `angle` in interface `IVecI`

    - #### angle

          public double angle(ISwitchE e,
                              IVecI v)

      Description copied from interface: `IVecI`
      get angle between two vector from 0 to Pi
      Specified by:
        `angle` in interface `IVecI`

    - #### angle

          public IDoubleI angle(ISwitchR r,
                                IVecI v)

      Description copied from interface: `IVecI`
      get angle between two vector from 0 to Pi
      Specified by:
        `angle` in interface `IVecI`

    - #### angle

          public double angle(IVecI v,
                              IVecI axis)

      Specified by:
        `angle` in interface `IVecI`
        `axis` - axis to determin sign of angle following right-handed screw rule.
      Returns:
        angle between two vector from -Pi to Pi. Sign follows right-handed screw rule along axis

    - #### angle

          public double angle(double vx,
                              double vy,
                              double vz,
                              double axisX,
                              double axisY,
                              double axisZ)

      Specified by:
        `angle` in interface `IVecI`
      Returns:
        angle between two vector from -Pi to Pi. Sign follows right-handed screw rule along axis

    - #### angle

          public double angle(ISwitchE e,
                              IVecI v,
                              IVecI axis)

      Specified by:
        `angle` in interface `IVecI`
        `axis` - axis to determin sign of angle following right-handed screw rule.
      Returns:
        angle between two vector from -Pi to Pi. Sign follows right-handed screw rule along axis

    - #### angle

          public IDoubleI angle(ISwitchR r,
                                IVecI v,
                                IVecI axis)

      Specified by:
        `angle` in interface `IVecI`
        `axis` - axis to determin sign of angle following right-handed screw rule.
      Returns:
        angle between two vector from -Pi to Pi. Sign follows right-handed screw rule along axis

    - #### rot

          public IVectorObject rot(IDoubleI angle)

      Description copied from interface: `IVecI`
      rotation on XY plane
      Specified by:
        `rot` in interface `ITransformable`
      Specified by:
        `rot` in interface `IVecI`

    - #### rot

          public IVectorObject rot(double angle)

      Description copied from interface: `IVecI`
      rotation on XY plane
      Specified by:
        `rot` in interface `ITransformable`
      Specified by:
        `rot` in interface `IVecI`

    - #### rot

          public IVectorObject rot(IVecI axis,
                                   IDoubleI angle)

      Description copied from interface: `IVecI`
      rotation around axis vector
      Specified by:
        `rot` in interface `ITransformable`
      Specified by:
        `rot` in interface `IVecI`

    - #### rot

          public IVectorObject rot(IVecI axis,
                                   double angle)

      Description copied from interface: `IVecI`
      rotation around axis vector
      Specified by:
        `rot` in interface `ITransformable`
      Specified by:
        `rot` in interface `IVecI`

    - #### rot

          public IVectorObject rot(double axisX,
                                   double axisY,
                                   double axisZ,
                                   double angle)

      Description copied from interface: `IVecI`
      rotation around axis vector
      Specified by:
        `rot` in interface `IVecI`

    - #### rot

          public IVectorObject rot(IVecI center,
                                   IVecI axis,
                                   double angle)

      Description copied from interface: `IVecI`
      rotation around axis vector and center point
      Specified by:
        `rot` in interface `ITransformable`
      Specified by:
        `rot` in interface `IVecI`

    - #### rot

          public IVectorObject rot(IVecI center,
                                   IVecI axis,
                                   IDoubleI angle)

      Description copied from interface: `IVecI`
      rotation around axis vector and center point
      Specified by:
        `rot` in interface `ITransformable`
      Specified by:
        `rot` in interface `IVecI`

    - #### rot

          public IVectorObject rot(double centerX,
                                   double centerY,
                                   double centerZ,
                                   double axisX,
                                   double axisY,
                                   double axisZ,
                                   double angle)

      Description copied from interface: `IVecI`
      rotation around axis vector and center point
      Specified by:
        `rot` in interface `IVecI`

    - #### rot

          public IVectorObject rot(IVecI axis,
                                   IVecI destDir)

      rotate to destination direction vector
      Specified by:
        `rot` in interface `ITransformable`
      Specified by:
        `rot` in interface `IVecI`

    - #### rot

          public IVectorObject rot(IVecI center,
                                   IVecI axis,
                                   IVecI destPt)

      rotate to destination point location
      Specified by:
        `rot` in interface `ITransformable`
      Specified by:
        `rot` in interface `IVecI`

    - #### rot2

          public IVectorObject rot2(IDoubleI angle)

      Description copied from interface: `IVecI`
      rotation on xy-plane; alias of rot(IDoubleI)
      Specified by:
        `rot2` in interface `ITransformable`
      Specified by:
        `rot2` in interface `IVecI`

    - #### rot2

          public IVectorObject rot2(double angle)

      Description copied from interface: `IVecI`
      rotation on xy-plane; alias of rot(double)
      Specified by:
        `rot2` in interface `ITransformable`
      Specified by:
        `rot2` in interface `IVecI`

    - #### rot2

          public IVectorObject rot2(IVecI center,
                                    double angle)

      Description copied from interface: `IVecI`
      rotation on xy-plane
      Specified by:
        `rot2` in interface `ITransformable`
      Specified by:
        `rot2` in interface `IVecI`

    - #### rot2

          public IVectorObject rot2(IVecI center,
                                    IDoubleI angle)

      Description copied from interface: `IVecI`
      rotation on xy-plane
      Specified by:
        `rot2` in interface `ITransformable`
      Specified by:
        `rot2` in interface `IVecI`

    - #### rot2

          public IVectorObject rot2(double centerX,
                                    double centerY,
                                    double angle)

      Description copied from interface: `IVecI`
      rotation on xy-plane
      Specified by:
        `rot2` in interface `IVecI`

    - #### rot2

          public IVectorObject rot2(IVecI destDir)

      rotate to destination direction vector
      Specified by:
        `rot2` in interface `ITransformable`
      Specified by:
        `rot2` in interface `IVecI`

    - #### rot2

          public IVectorObject rot2(IVecI center,
                                    IVecI destPt)

      rotate to destination point location
      Specified by:
        `rot2` in interface `ITransformable`
      Specified by:
        `rot2` in interface `IVecI`

    - #### scale

          public IVectorObject scale(IDoubleI f)

      alias of mul
      Specified by:
        `scale` in interface `ITransformable`
      Specified by:
        `scale` in interface `IVecI`

    - #### scale

          public IVectorObject scale(double f)

      Description copied from interface: `IVecI`
      alias of mul
      Specified by:
        `scale` in interface `ITransformable`
      Specified by:
        `scale` in interface `IVecI`

    - #### scale

          public IVectorObject scale(IVecI center,
                                     IDoubleI f)

      Description copied from interface: `IVecI`
      scale from a center
      Specified by:
        `scale` in interface `ITransformable`
      Specified by:
        `scale` in interface `IVecI`

    - #### scale

          public IVectorObject scale(IVecI center,
                                     double f)

      Description copied from interface: `IVecI`
      scale from a center
      Specified by:
        `scale` in interface `ITransformable`
      Specified by:
        `scale` in interface `IVecI`

    - #### scale

          public IVectorObject scale(double centerX,
                                     double centerY,
                                     double centerZ,
                                     double f)

      Description copied from interface: `IVecI`
      scale from a center
      Specified by:
        `scale` in interface `IVecI`

    - #### scale1d

          public IVectorObject scale1d(IVecI axis,
                                       double f)

      scale only in 1 direction
      Specified by:
        `scale1d` in interface `ITransformable`
      Specified by:
        `scale1d` in interface `IVecI`

    - #### scale1d

          public IVectorObject scale1d(IVecI axis,
                                       IDoubleI f)

      Description copied from interface: `IVecI`
      scale only in 1 direction
      Specified by:
        `scale1d` in interface `ITransformable`
      Specified by:
        `scale1d` in interface `IVecI`

    - #### scale1d

          public IVectorObject scale1d(double axisX,
                                       double axisY,
                                       double axisZ,
                                       double f)

      Description copied from interface: `IVecI`
      scale only in 1 direction
      Specified by:
        `scale1d` in interface `IVecI`

    - #### scale1d

          public IVectorObject scale1d(IVecI center,
                                       IVecI axis,
                                       double f)

      Description copied from interface: `IVecI`
      scale only in 1 direction from a center
      Specified by:
        `scale1d` in interface `ITransformable`
      Specified by:
        `scale1d` in interface `IVecI`

    - #### scale1d

          public IVectorObject scale1d(IVecI center,
                                       IVecI axis,
                                       IDoubleI f)

      Description copied from interface: `IVecI`
      scale only in 1 direction from a center
      Specified by:
        `scale1d` in interface `ITransformable`
      Specified by:
        `scale1d` in interface `IVecI`

    - #### scale1d

          public IVectorObject scale1d(double centerX,
                                       double centerY,
                                       double centerZ,
                                       double axisX,
                                       double axisY,
                                       double axisZ,
                                       double f)

      Description copied from interface: `IVecI`
      scale only in 1 direction from a center
      Specified by:
        `scale1d` in interface `IVecI`

    - #### ref

          public IVectorObject ref(IVecI planeDir)

      reflect (mirror) 3 dimensionally to the other side of the plane
      Specified by:
        `ref` in interface `ITransformable`
      Specified by:
        `ref` in interface `IVecI`

    - #### ref

          public IVectorObject ref(double planeX,
                                   double planeY,
                                   double planeZ)

      Description copied from interface: `IVecI`
      reflect(mirror) 3 dimensionally to the other side of the plane
      Specified by:
        `ref` in interface `IVecI`

    - #### ref

          public IVectorObject ref(IVecI center,
                                   IVecI planeDir)

      Description copied from interface: `IVecI`
      reflect(mirror) 3 dimensionally to the other side of the plane
      Specified by:
        `ref` in interface `ITransformable`
      Specified by:
        `ref` in interface `IVecI`

    - #### ref

          public IVectorObject ref(double centerX,
                                   double centerY,
                                   double centerZ,
                                   double planeX,
                                   double planeY,
                                   double planeZ)

      Description copied from interface: `IVecI`
      reflect(mirror) 3 dimensionally to the other side of the plane
      Specified by:
        `ref` in interface `IVecI`

    - #### mirror

          public IVectorObject mirror(IVecI planeDir)

      reflect (mirror) 3 dimensionally to the other side of the plane
      Specified by:
        `mirror` in interface `ITransformable`
      Specified by:
        `mirror` in interface `IVecI`

    - #### mirror

          public IVectorObject mirror(double planeX,
                                      double planeY,
                                      double planeZ)

      Description copied from interface: `IVecI`
      alias of ref
      Specified by:
        `mirror` in interface `IVecI`

    - #### mirror

          public IVectorObject mirror(IVecI center,
                                      IVecI planeDir)

      Description copied from interface: `IVecI`
      alias of ref
      Specified by:
        `mirror` in interface `ITransformable`
      Specified by:
        `mirror` in interface `IVecI`

    - #### mirror

          public IVectorObject mirror(double centerX,
                                      double centerY,
                                      double centerZ,
                                      double planeX,
                                      double planeY,
                                      double planeZ)

      Description copied from interface: `IVecI`
      alias of ref
      Specified by:
        `mirror` in interface `IVecI`

    - #### shear

          public IVectorObject shear(double sxy,
                                     double syx,
                                     double syz,
                                     double szy,
                                     double szx,
                                     double sxz)

      shear operation
      Specified by:
        `shear` in interface `ITransformable`
      Specified by:
        `shear` in interface `IVecI`

    - #### shear

          public IVectorObject shear(IDoubleI sxy,
                                     IDoubleI syx,
                                     IDoubleI syz,
                                     IDoubleI szy,
                                     IDoubleI szx,
                                     IDoubleI sxz)

      Description copied from interface: `IVecI`
      shear operation
      Specified by:
        `shear` in interface `ITransformable`
      Specified by:
        `shear` in interface `IVecI`

    - #### shear

          public IVectorObject shear(IVecI center,
                                     double sxy,
                                     double syx,
                                     double syz,
                                     double szy,
                                     double szx,
                                     double sxz)

      Description copied from interface: `IVecI`
      shear operation
      Specified by:
        `shear` in interface `ITransformable`
      Specified by:
        `shear` in interface `IVecI`

    - #### shear

          public IVectorObject shear(IVecI center,
                                     IDoubleI sxy,
                                     IDoubleI syx,
                                     IDoubleI syz,
                                     IDoubleI szy,
                                     IDoubleI szx,
                                     IDoubleI sxz)

      Description copied from interface: `IVecI`
      shear operation
      Specified by:
        `shear` in interface `ITransformable`
      Specified by:
        `shear` in interface `IVecI`

    - #### shearXY

          public IVectorObject shearXY(double sxy,
                                       double syx)

      Description copied from interface: `IVecI`
      shear operation on XY
      Specified by:
        `shearXY` in interface `ITransformable`
      Specified by:
        `shearXY` in interface `IVecI`

    - #### shearXY

          public IVectorObject shearXY(IDoubleI sxy,
                                       IDoubleI syx)

      Description copied from interface: `IVecI`
      shear operation on XY
      Specified by:
        `shearXY` in interface `ITransformable`
      Specified by:
        `shearXY` in interface `IVecI`

    - #### shearXY

          public IVectorObject shearXY(IVecI center,
                                       double sxy,
                                       double syx)

      Description copied from interface: `IVecI`
      shear operation on XY
      Specified by:
        `shearXY` in interface `ITransformable`
      Specified by:
        `shearXY` in interface `IVecI`

    - #### shearXY

          public IVectorObject shearXY(IVecI center,
                                       IDoubleI sxy,
                                       IDoubleI syx)

      Description copied from interface: `IVecI`
      shear operation on XY
      Specified by:
        `shearXY` in interface `ITransformable`
      Specified by:
        `shearXY` in interface `IVecI`

    - #### shearYZ

          public IVectorObject shearYZ(double syz,
                                       double szy)

      Description copied from interface: `IVecI`
      shear operation on YZ
      Specified by:
        `shearYZ` in interface `ITransformable`
      Specified by:
        `shearYZ` in interface `IVecI`

    - #### shearYZ

          public IVectorObject shearYZ(IDoubleI syz,
                                       IDoubleI szy)

      Description copied from interface: `IVecI`
      shear operation on YZ
      Specified by:
        `shearYZ` in interface `ITransformable`
      Specified by:
        `shearYZ` in interface `IVecI`

    - #### shearYZ

          public IVectorObject shearYZ(IVecI center,
                                       double syz,
                                       double szy)

      Description copied from interface: `IVecI`
      shear operation on YZ
      Specified by:
        `shearYZ` in interface `ITransformable`
      Specified by:
        `shearYZ` in interface `IVecI`

    - #### shearYZ

          public IVectorObject shearYZ(IVecI center,
                                       IDoubleI syz,
                                       IDoubleI szy)

      Description copied from interface: `IVecI`
      shear operation on YZ
      Specified by:
        `shearYZ` in interface `ITransformable`
      Specified by:
        `shearYZ` in interface `IVecI`

    - #### shearZX

          public IVectorObject shearZX(double szx,
                                       double sxz)

      Description copied from interface: `IVecI`
      shear operation on ZX
      Specified by:
        `shearZX` in interface `ITransformable`
      Specified by:
        `shearZX` in interface `IVecI`

    - #### shearZX

          public IVectorObject shearZX(IDoubleI szx,
                                       IDoubleI sxz)

      Description copied from interface: `IVecI`
      shear operation on ZX
      Specified by:
        `shearZX` in interface `ITransformable`
      Specified by:
        `shearZX` in interface `IVecI`

    - #### shearZX

          public IVectorObject shearZX(IVecI center,
                                       double szx,
                                       double sxz)

      Description copied from interface: `IVecI`
      shear operation on ZX
      Specified by:
        `shearZX` in interface `ITransformable`
      Specified by:
        `shearZX` in interface `IVecI`

    - #### shearZX

          public IVectorObject shearZX(IVecI center,
                                       IDoubleI szx,
                                       IDoubleI sxz)

      Description copied from interface: `IVecI`
      shear operation on ZX
      Specified by:
        `shearZX` in interface `ITransformable`
      Specified by:
        `shearZX` in interface `IVecI`

    - #### translate

          public IVectorObject translate(double x,
                                         double y,
                                         double z)

      translate is alias of add()
      Specified by:
        `translate` in interface `ITransformable`
      Specified by:
        `translate` in interface `IVecI`

    - #### translate

          public IVectorObject translate(IDoubleI x,
                                         IDoubleI y,
                                         IDoubleI z)

      Description copied from interface: `IVecI`
      alias of add()
      Specified by:
        `translate` in interface `ITransformable`
      Specified by:
        `translate` in interface `IVecI`

    - #### translate

          public IVectorObject translate(IVecI v)

      Description copied from interface: `IVecI`
      alias of add()
      Specified by:
        `translate` in interface `ITransformable`
      Specified by:
        `translate` in interface `IVecI`

    - #### mv

          public IVectorObject mv(double x,
                                  double y,
                                  double z)

      mv() is alias of add()
      Specified by:
        `mv` in interface `ITransformable`
      Specified by:
        `mv` in interface `IVecI`

    - #### mv

          public IVectorObject mv(IDoubleI x,
                                  IDoubleI y,
                                  IDoubleI z)

      Description copied from interface: `IVecI`
      mv() is alias of add()
      Specified by:
        `mv` in interface `ITransformable`
      Specified by:
        `mv` in interface `IVecI`

    - #### mv

          public IVectorObject mv(IVecI v)

      Description copied from interface: `IVecI`
      mv() is alias of add()
      Specified by:
        `mv` in interface `ITransformable`
      Specified by:
        `mv` in interface `IVecI`

    - #### cp

          public IVectorObject cp()

      cp() is alias of dup()
      Specified by:
        `cp` in interface `IArithmeticVal<IVecI,IDoubleI>`
      Specified by:
        `cp` in interface `ITransformable`
      Specified by:
        `cp` in interface `IVecI`
      Overrides:
        `cp` in class `IObject`

    - #### cp

          public IVectorObject cp(double x,
                                  double y,
                                  double z)

      cp() is alias of dup().add()
      Specified by:
        `cp` in interface `ITransformable`
      Specified by:
        `cp` in interface `IVecI`

    - #### cp

          public IVectorObject cp(IDoubleI x,
                                  IDoubleI y,
                                  IDoubleI z)

      Description copied from interface: `IVecI`
      cp() is alias of dup().add()
      Specified by:
        `cp` in interface `ITransformable`
      Specified by:
        `cp` in interface `IVecI`

    - #### cp

          public IVectorObject cp(IVecI v)

      Description copied from interface: `IVecI`
      cp() is alias of dup().add()
      Specified by:
        `cp` in interface `ITransformable`
      Specified by:
        `cp` in interface `IVecI`

    - #### transform

          public IVectorObject transform(IMatrix3I mat)

      Description copied from interface: `IVecI`
      transform with a transformation matrix
      Specified by:
        `transform` in interface `ITransformable`
      Specified by:
        `transform` in interface `IVecI`

    - #### transform

          public IVectorObject transform(IMatrix4I mat)

      Description copied from interface: `IVecI`
      transform with a transformation matrix
      Specified by:
        `transform` in interface `ITransformable`
      Specified by:
        `transform` in interface `IVecI`

    - #### transform

          public IVectorObject transform(IVecI xvec,
                                         IVecI yvec,
                                         IVecI zvec)

      Description copied from interface: `IVecI`
      transform with a transformation vectors
      Specified by:
        `transform` in interface `ITransformable`
      Specified by:
        `transform` in interface `IVecI`

    - #### transform

          public IVectorObject transform(IVecI xvec,
                                         IVecI yvec,
                                         IVecI zvec,
                                         IVecI translate)

      Description copied from interface: `IVecI`
      transform with a transformation vectors
      Specified by:
        `transform` in interface `ITransformable`
      Specified by:
        `transform` in interface `IVecI`

    - #### dif

          public IVecI dif(IVecI v)

      Description copied from interface: `IVecI`
      create a new instance of difference
      Specified by:
        `dif` in interface `IVecI`

    - #### dif

          public IVecI dif(double vx,
                           double vy,
                           double vz)

      Description copied from interface: `IVecI`
      create a new instance of difference
      Specified by:
        `dif` in interface `IVecI`

    - #### diff

          public IVecI diff(IVecI v)

      Description copied from interface: `IVecI`
      alias of dif
      Specified by:
        `diff` in interface `IVecI`

    - #### diff

          public IVecI diff(double vx,
                            double vy,
                            double vz)

      Description copied from interface: `IVecI`
      alias of dif
      Specified by:
        `diff` in interface `IVecI`

    - #### mid

          public IVecI mid(IVecI v)

      Description copied from interface: `IVecI`
      create a new instance of midpoint
      Specified by:
        `mid` in interface `IVecI`

    - #### mid

          public IVecI mid(double vx,
                           double vy,
                           double vz)

      Description copied from interface: `IVecI`
      create a new instance of midpoint
      Specified by:
        `mid` in interface `IVecI`

    - #### sum

          public IVecI sum(IVecI v)

      Description copied from interface: `IVecI`
      create a new instance of total summation
      Specified by:
        `sum` in interface `IVecI`

    - #### sum

          public IVecI sum(double vx,
                           double vy,
                           double vz)

      Description copied from interface: `IVecI`
      create a new instance of total summation
      Specified by:
        `sum` in interface `IVecI`

    - #### sum

          public IVecI sum(IVecI... v)

      Description copied from interface: `IVecI`
      create a new instance of total summation
      Specified by:
        `sum` in interface `IVecI`

    - #### bisect

          public IVecI bisect(IVecI v)

      Description copied from interface: `IVecI`
      create a new instance of bisector
      Specified by:
        `bisect` in interface `IVecI`

    - #### bisect

          public IVecI bisect(double vx,
                              double vy,
                              double vz)

      Description copied from interface: `IVecI`
      create a new instance of bisector
      Specified by:
        `bisect` in interface `IVecI`

    - #### sum

          public IVecI sum(IVecI v2,
                           double w1,
                           double w2)

      weighted sum
      Specified by:
        `sum` in interface `IVecI`

    - #### sum

          public IVecI sum(IVecI v2,
                           double w2)

      Description copied from interface: `IVecI`
      create a new instance of weighted sum
      Specified by:
        `sum` in interface `IVecI`

    - #### sum

          public IVecI sum(IVecI v2,
                           IDoubleI w1,
                           IDoubleI w2)

      Description copied from interface: `IVecI`
      create a new instance of weighted sum
      Specified by:
        `sum` in interface `IVecI`

    - #### sum

          public IVecI sum(IVecI v2,
                           IDoubleI w2)

      Description copied from interface: `IVecI`
      create a new instance of weighted sum
      Specified by:
        `sum` in interface `IVecI`

    - #### nml

          public IVecI nml(IVecI v)

      alias of cross. (not unitized ... ?) return IVecI.
      Specified by:
        `nml` in interface `IVecI`

    - #### nml

          public IVecI nml(double vx,
                           double vy,
                           double vz)

      Description copied from interface: `IVecI`
      alias of cross
      Specified by:
        `nml` in interface `IVecI`

    - #### nml

          public IVecI nml(IVecI pt1,
                           IVecI pt2)

      create normal vector from 3 points of self, pt1 and pt2
      Specified by:
        `nml` in interface `IVecI`

    - #### nml

          public IVecI nml(double vx1,
                           double vy1,
                           double vz1,
                           double vx2,
                           double vy2,
                           double vz2)

      Description copied from interface: `IVecI`
      create normal vector from 3 points of self, pt1 and pt2
      Specified by:
        `nml` in interface `IVecI`

    - #### isValid

          public boolean isValid()

      Description copied from class: `IObject`
      checking parameters validity. to be overriden.
      Specified by:
        `isValid` in interface `IVecI`
      Overrides:
        `isValid` in class `IObject`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### setSize

          public IVectorObject setSize(double sz)

      set size of dot in graphic

    - #### size

          public IVectorObject size(double sz)

    - #### getSize

          public double getSize()

    - #### size

          public double size()

    - #### weight

          public IVectorObject weight(double w)

      Overrides:
        `weight` in class `IObject`

    - #### weight

          public IVectorObject weight(float w)

      Overrides:
        `weight` in class `IObject`

    - #### name

          public IVectorObject name(java.lang.String nm)

      Overrides:
        `name` in class `IObject`

    - #### layer

          public IVectorObject layer(ILayer l)

      Description copied from class: `IObject`
      Set layer by ILayer object
      Overrides:
        `layer` in class `IObject`

    - #### hide

          public IVectorObject hide()

      Overrides:
        `hide` in class `IObject`

    - #### show

          public IVectorObject show()

      Overrides:
        `show` in class `IObject`

    - #### clr

          public IVectorObject clr(IColor c)

      Description copied from class: `IObject`
      to set an object color
      Overrides:
        `clr` in class `IObject`

    - #### clr

          public IVectorObject clr(IColor c,
                                   int alpha)

      Description copied from class: `IObject`
      to set color, with alpha value overwritten
      Overrides:
        `clr` in class `IObject`

    - #### clr

          public IVectorObject clr(IColor c,
                                   float alpha)

      Description copied from class: `IObject`
      to set color, with alpha value overwritten
      Overrides:
        `clr` in class `IObject`

    - #### clr

          public IVectorObject clr(IColor c,
                                   double alpha)

      Description copied from class: `IObject`
      to set color, with alpha value overwritten
      Overrides:
        `clr` in class `IObject`

    - #### clr

          public IVectorObject clr(IObject o)

      Description copied from class: `IObject`
      to set the same color with the object
      Overrides:
        `clr` in class `IObject`

    - #### clr

          public IVectorObject clr(java.awt.Color c)

      Overrides:
        `clr` in class `IObject`

    - #### clr

          public IVectorObject clr(java.awt.Color c,
                                   int alpha)

      Overrides:
        `clr` in class `IObject`

    - #### clr

          public IVectorObject clr(java.awt.Color c,
                                   float alpha)

      Overrides:
        `clr` in class `IObject`

    - #### clr

          public IVectorObject clr(java.awt.Color c,
                                   double alpha)

      Overrides:
        `clr` in class `IObject`

    - #### clr

          public IVectorObject clr(int gray)

      Overrides:
        `clr` in class `IObject`

    - #### clr

          public IVectorObject clr(float fgray)

      Overrides:
        `clr` in class `IObject`

    - #### clr

          public IVectorObject clr(double dgray)

      Overrides:
        `clr` in class `IObject`

    - #### clr

          public IVectorObject clr(int gray,
                                   int alpha)

      Overrides:
        `clr` in class `IObject`

    - #### clr

          public IVectorObject clr(float fgray,
                                   float falpha)

      Overrides:
        `clr` in class `IObject`

    - #### clr

          public IVectorObject clr(double dgray,
                                   double dalpha)

      Overrides:
        `clr` in class `IObject`

    - #### clr

          public IVectorObject clr(int r,
                                   int g,
                                   int b)

      Overrides:
        `clr` in class `IObject`

    - #### clr

          public IVectorObject clr(float fr,
                                   float fg,
                                   float fb)

      Overrides:
        `clr` in class `IObject`

    - #### clr

          public IVectorObject clr(double dr,
                                   double dg,
                                   double db)

      Overrides:
        `clr` in class `IObject`

    - #### clr

          public IVectorObject clr(int r,
                                   int g,
                                   int b,
                                   int a)

      Overrides:
        `clr` in class `IObject`

    - #### clr

          public IVectorObject clr(float fr,
                                   float fg,
                                   float fb,
                                   float fa)

      Overrides:
        `clr` in class `IObject`

    - #### clr

          public IVectorObject clr(double dr,
                                   double dg,
                                   double db,
                                   double da)

      Overrides:
        `clr` in class `IObject`

    - #### hsb

          public IVectorObject hsb(float h,
                                   float s,
                                   float b,
                                   float a)

      Overrides:
        `hsb` in class `IObject`

    - #### hsb

          public IVectorObject hsb(double h,
                                   double s,
                                   double b,
                                   double a)

      Overrides:
        `hsb` in class `IObject`

    - #### hsb

          public IVectorObject hsb(float h,
                                   float s,
                                   float b)

      Overrides:
        `hsb` in class `IObject`

    - #### hsb

          public IVectorObject hsb(double h,
                                   double s,
                                   double b)

      Overrides:
        `hsb` in class `IObject`

    - #### setColor

          public IVectorObject setColor(IColor c)

      Overrides:
        `setColor` in class `IObject`

    - #### setColor

          public IVectorObject setColor(IColor c,
                                        int alpha)

      Overrides:
        `setColor` in class `IObject`

    - #### setColor

          public IVectorObject setColor(IColor c,
                                        float alpha)

      Overrides:
        `setColor` in class `IObject`

    - #### setColor

          public IVectorObject setColor(IColor c,
                                        double alpha)

      Overrides:
        `setColor` in class `IObject`

    - #### setColor

          public IVectorObject setColor(java.awt.Color c)

      Overrides:
        `setColor` in class `IObject`

    - #### setColor

          public IVectorObject setColor(java.awt.Color c,
                                        int alpha)

      Overrides:
        `setColor` in class `IObject`

    - #### setColor

          public IVectorObject setColor(java.awt.Color c,
                                        float alpha)

      Overrides:
        `setColor` in class `IObject`

    - #### setColor

          public IVectorObject setColor(java.awt.Color c,
                                        double alpha)

      Overrides:
        `setColor` in class `IObject`

    - #### setColor

          public IVectorObject setColor(int gray)

      Overrides:
        `setColor` in class `IObject`

    - #### setColor

          public IVectorObject setColor(float fgray)

      Overrides:
        `setColor` in class `IObject`

    - #### setColor

          public IVectorObject setColor(double dgray)

      Overrides:
        `setColor` in class `IObject`

    - #### setColor

          public IVectorObject setColor(int gray,
                                        int alpha)

      Overrides:
        `setColor` in class `IObject`

    - #### setColor

          public IVectorObject setColor(float fgray,
                                        float falpha)

      Overrides:
        `setColor` in class `IObject`

    - #### setColor

          public IVectorObject setColor(double dgray,
                                        double dalpha)

      Overrides:
        `setColor` in class `IObject`

    - #### setColor

          public IVectorObject setColor(int r,
                                        int g,
                                        int b)

      Overrides:
        `setColor` in class `IObject`

    - #### setColor

          public IVectorObject setColor(float fr,
                                        float fg,
                                        float fb)

      Overrides:
        `setColor` in class `IObject`

    - #### setColor

          public IVectorObject setColor(double dr,
                                        double dg,
                                        double db)

      Overrides:
        `setColor` in class `IObject`

    - #### setColor

          public IVectorObject setColor(int r,
                                        int g,
                                        int b,
                                        int a)

      Overrides:
        `setColor` in class `IObject`

    - #### setColor

          public IVectorObject setColor(float fr,
                                        float fg,
                                        float fb,
                                        float fa)

      Overrides:
        `setColor` in class `IObject`

    - #### setColor

          public IVectorObject setColor(double dr,
                                        double dg,
                                        double db,
                                        double da)

      Overrides:
        `setColor` in class `IObject`

    - #### setHSBColor

          public IVectorObject setHSBColor(float h,
                                           float s,
                                           float b,
                                           float a)

      Overrides:
        `setHSBColor` in class `IObject`

    - #### setHSBColor

          public IVectorObject setHSBColor(double h,
                                           double s,
                                           double b,
                                           double a)

      Overrides:
        `setHSBColor` in class `IObject`

    - #### setHSBColor

          public IVectorObject setHSBColor(float h,
                                           float s,
                                           float b)

      Overrides:
        `setHSBColor` in class `IObject`

    - #### setHSBColor

          public IVectorObject setHSBColor(double h,
                                           double s,
                                           double b)

      Overrides:
        `setHSBColor` in class `IObject`